Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 220121 - x11-misc/mkxf86config removal request (was: should be adjusted to recent udev (/dev/psaux is the new location))
Summary: x11-misc/mkxf86config removal request (was: should be adjusted to recent udev...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo LiveCD Package Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 214118 285296 286516 416169
  Show dependency tree
 
Reported: 2008-05-03 14:23 UTC by Paweł Hajdan, Jr. (RETIRED)
Modified: 2013-03-22 10:36 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
40-gentoo.patch (gentoo.patch,257 bytes, patch)
2008-12-28 19:03 UTC, Paweł Hajdan, Jr. (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2008-05-03 14:23:13 UTC
Current x11-misc/mkxf86config package in the file /etc/X11/xorg.conf.in has path to mouse device set to /dev/misc/psaux. However (I suspect udev) after recent system upgrade the correct location is /dev/psaux. After reflecting the change in /etc/X11/xorg.conf.in, restarting mkxf86config and xdm mouse works fine. Otherwise it does not get detected.
Comment 1 Andrew Gaffney (RETIRED) gentoo-dev 2008-05-03 17:41:26 UTC
If this change is because of udev, it would be ideal for udev to create a compatability symlink. A change like this will break X for a lot of people.
Comment 2 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2008-12-28 19:03:31 UTC
Created attachment 176644 [details, diff]
40-gentoo.patch

This patch addes the compatibility symlink. It's against /etc/udev/rules.d/40-gentoo.patch. I'm not sure it's the best place for it, but I can confirm that this rule provides appropriate symlink.
Comment 3 David J Cozatt 2010-07-21 02:05:15 UTC
Is this covered by udev or evdev now? /dev/psaux?
Comment 4 Samuli Suominen gentoo-dev 2013-01-28 07:46:53 UTC
It looks like x11-misc/mkxf86config can be treecleaned, together with old versions of app-misc/livecd-tools
There are multiple outdated bugs open for the issue
Comment 5 Samuli Suominen gentoo-dev 2013-01-28 07:53:35 UTC
Masked now, together with old series of livecd-tools
Comment 6 Rick Farina (Zero_Chaos) gentoo-dev 2013-01-31 01:03:14 UTC
I am marking myself as maintainer and removing the mask.  I will address the issues in as timely a manner as possible but this package is functional and in use.
Comment 7 Samuli Suominen gentoo-dev 2013-02-01 17:08:29 UTC
(In reply to comment #6)
> I am marking myself as maintainer and removing the mask.  I will address the
> issues in as timely a manner as possible but this package is functional and
> in use.

The mask stays for long as these bugs are not fixed... Feel free to pick the package up with fixes though
Comment 8 Rick Farina (Zero_Chaos) gentoo-dev 2013-02-01 23:26:39 UTC
> The mask stays for long as these bugs are not fixed... Feel free to pick the
> package up with fixes though

This is not appropriate at all.  If every package with an open bug was masked there would be zero packages in gentoo.  There are no security bugs in this software, I am politely requesting the mask lifted.  I use this software, it works for me, I am happy to work on the bugs but I was in 6 different cities this week and have not had time yet.  Please don't mask software that works and has no security bugs...
Comment 9 Samuli Suominen gentoo-dev 2013-03-22 10:36:21 UTC
This bug, and bug 214118 and bug 285296 should be handled if working mkxf86config gets restored to the tree.
Updated the ebuild before removing for bug 416169.
Bug 286516 was closed since oldest livecd-tools in tree is 2.0.3. If mkxf86config is fixed, perhaps it's worth looking into restoring the support there? I don't know.
In any case, package broken with stable baselayout and udev... shouldn't be in tree, and I'm looking forward seeing these issues resolved.
Not that I find mkxf86config useful myself since udev will take care of these things for you automatically.